/***************************************************************************
**
**  This file is part of geopsyhv.
**
**  geopsyhv is free software: you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation, either version 3 of the License, or
**  (at your option) any later version.
**
**  geopsyhv is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with Foobar.  If not, see <http://www.gnu.org/licenses/>
**
**  See http://www.geopsy.org for more information.
**
**  Created: 2007-08-24
**  Copyright: 2007-2019
**    Marc Wathelet
**    Marc Wathelet (LGIT, Grenoble, France)
**
***************************************************************************/

#ifndef HVROTATESTATION_H
#define HVROTATESTATION_H

#include "HVStation.h"

#if 0
class HVRotateStation : public HVStation
{
public:
  HVRotateStation(StationSignals * sig);

  virtual void start(HVParameters& param);

  virtual int graphCount() const {return 1;}
  virtual void setResultGraph(int index, AxisWindow * w);
  virtual AxisWindow * resultGraph(int) const;

  virtual void setResultLabel(int, TextEdit * w) {_label=w;}
  virtual TextEdit * resultLabel(int) const {return _label;}

  virtual const CurveResults * results(int) const {return nullptr;}
  virtual CurveResults * results(int) {return nullptr;}
  virtual double resultMaxAmplitude() const;

  IrregularGrid2DPlot * gridLayer() const {return _gridLayer;}
private:
  void computeHV(const TimeRange& tw, HVParameters& param, IrregularGrid2D& grid);

  IrregularGrid2DPlot * _gridLayer;
  TextEdit * _label;
};
#endif
#endif // HVROTATESTATION_H
